package com.yihu.wlyy.entity.education;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 健康教育文章操作历史表
 * @author linz
 *
 */
@Entity
@Table(name = "wlyy_health_edu_article_op_history")
public class HealthEduArticleOpHistory extends IdEntity {

	// 文章标识
	private String code;
	// 文章标题
	private String title;
	// 操作类型1.阅读 2.收藏 3.转发
	private String status;
	// 操作人
	private String creater;
	// 发布时间
	private Date createdTime;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getCreater() {
		return creater;
	}

	public void setCreater(String creater) {
		this.creater = creater;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCreatedTime() {
		return createdTime;
	}

	public void setCreatedTime(Date createdTime) {
		this.createdTime = createdTime;
	}

	/**
	 * 阅读状态
	 */
	public static final String READ_STATUS ="1";
	/**
	 * 收藏状态
	 */
	public static final String COLLECTION_STATUS ="2";
	/**
	 * 转发状态
	 */
	public static final String REPEAT_STATUS ="3";

}
